package com.example.saravanapandianmuru.myapplication;

import android.app.ActionBar;
import android.app.Activity;
import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.support.design.widget.FloatingActionButton;
import android.support.design.widget.Snackbar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.view.Menu;
import android.view.MenuItem;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.ScrollView;
import android.widget.Toast;

import com.syncfusion.charts.AreaSeries;
import com.syncfusion.charts.CategoryAxis;
import com.syncfusion.charts.ChartDataPoint;
import com.syncfusion.charts.ChartSelectionBehavior;
import com.syncfusion.charts.ChartSelectionEvent;
import com.syncfusion.charts.ChartTooltipBehavior;
import com.syncfusion.charts.ChartZoomPanBehavior;
import com.syncfusion.charts.ColumnSegment;
import com.syncfusion.charts.ColumnSeries;
import com.syncfusion.charts.DateTimeAxis;
import com.syncfusion.charts.FastLineSeries;
import com.syncfusion.charts.LineSeries;
import com.syncfusion.charts.NumericalAxis;
import com.syncfusion.charts.ObservableArrayList;
import com.syncfusion.charts.PieSeries;
import com.syncfusion.charts.RangeColumnSeries;
import com.syncfusion.charts.SfChart;
import com.syncfusion.charts.SplineAreaSeries;
import com.syncfusion.charts.SplineSeries;
import com.syncfusion.charts.StepLineSeries;
import com.syncfusion.charts.enums.AxisLabelsIntersectAction;
import com.syncfusion.charts.enums.ChartLegendIcon;
import com.syncfusion.charts.enums.DataMarkerType;
import com.syncfusion.charts.enums.DateTimeIntervalType;
import com.syncfusion.charts.enums.LabelPlacement;

import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

public class MainActivity extends AppCompatActivity {

    SfChart chart, chart1;
    static ColumnSeries columnSeries;
    PieSeries pieSeries;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        chart = new SfChart(this);
        chart.setLayoutParams(new ViewGroup.LayoutParams(500, 500));

        chart1 = new SfChart(this);
        chart1.setLayoutParams(new ViewGroup.LayoutParams(500, 350));

        chart.getTitle().setText("Column Chart");
        chart1.getTitle().setText("Pie Chart");

        LinearLayout linearLayout = new LinearLayout(this);
        linearLayout.setOrientation(LinearLayout.VERTICAL);

        CategoryAxis primaryAxis = new CategoryAxis();
        primaryAxis.getTitle().setText("Countries");
        chart.setPrimaryAxis(primaryAxis);

        NumericalAxis secondaryAxis = new NumericalAxis();
        secondaryAxis.getTitle().setText("Medals");
        chart.setSecondaryAxis(secondaryAxis);

        columnSeries = new ColumnSeries();
        columnSeries.setDataSource(getColumnData1());
        columnSeries.setDataPointSelectionEnabled(true);
        chart.getSeries().add(columnSeries);

        chart.setOnSelectionChangedListener(new SfChart.OnSelectionChangedListener() {
            @Override
            public void onSelectionChanged(SfChart chart, ChartSelectionEvent chartSelectionEvent) {

                if (columnSeries.getSelectedDataPointIndex() >= 0) {
                    Intent intent = new Intent(getApplicationContext(), Main2Activity.class);
                    startActivity(intent);
                }
            }
        });

        Button button = new Button(this);
        button.setText("");
        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

            }
        });

        pieSeries = new PieSeries();
        pieSeries.setDataPointSelectionEnabled(true);
        pieSeries.setDataSource(getPieData());
        chart1.getSeries().add(pieSeries);

        linearLayout.addView(chart);
        linearLayout.addView(chart1);

        setContentView(linearLayout);
    }

    public static ObservableArrayList<ChartDataPoint> getColumnData1() {
        ObservableArrayList<ChartDataPoint> datas = new ObservableArrayList<ChartDataPoint>();
        datas.add(new ChartDataPoint("USA", 50));
        datas.add(new ChartDataPoint("China", 40));
        datas.add(new ChartDataPoint("Japan", 70));
        datas.add(new ChartDataPoint("Australia", 60));
        datas.add(new ChartDataPoint("France", 50));
        return datas;
    }

    public static ObservableArrayList<ChartDataPoint> getPieData() {
        ObservableArrayList<ChartDataPoint> datas = new ObservableArrayList<ChartDataPoint>();
        datas.add(new ChartDataPoint("Other personal", 94));
        datas.add(new ChartDataPoint("Medical care", 70));
        datas.add(new ChartDataPoint("Housing", 77));
        datas.add(new ChartDataPoint("Transportation", 47));
        datas.add(new ChartDataPoint("Education", 100));
        datas.add(new ChartDataPoint("Electronics", 70));
        return datas;
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
